Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.spec
Class ECNamedCurveSpec

    java.lang.Object
      java.security.spec.ECParameterSpec
          org.bouncycastle.jce.spec.ECNamedCurveSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

    public class ECNamedCurveSpec

extends java.security.spec.ECParameterSpec

specification signifying that the curve parameters can also be referred to by name.

Constructor Summary
`ECNamedCurveSpec(java.lang.String name, org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint g, java.math.BigInteger n)`
`ECNamedCurveSpec(java.lang.String name, org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint g, java.math.BigInteger n, java.math.BigInteger h)`
`ECNamedCurveSpec(java.lang.String name, org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint g, java.math.BigInteger n, java.math.BigInteger h, byte[] seed)`
`ECNamedCurveSpec(java.lang.String name, java.security.spec.EllipticCurve curve, java.security.spec.ECPoint g, java.math.BigInteger n)`
`ECNamedCurveSpec(java.lang.String name, java.security.spec.EllipticCurve curve, java.security.spec.ECPoint g, java.math.BigInteger n, java.math.BigInteger h)`

Method Summary
`java.lang.String` `getName()` return the name of the curve the EC domain parameters belong to.

Methods inherited from class java.security.spec.ECParameterSpec
`getCofactor, getCurve, getGenerator, getOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECNamedCurveSpec

    public ECNamedCurveSpec(java.lang.String name,
                            org.bouncycastle.math.ec.ECCurve curve,
                            org.bouncycastle.math.ec.ECPoint g,
                            java.math.BigInteger n)

### ECNamedCurveSpec

    public ECNamedCurveSpec(java.lang.String name,
                            java.security.spec.EllipticCurve curve,
                            java.security.spec.ECPoint g,
                            java.math.BigInteger n)

### ECNamedCurveSpec

    public ECNamedCurveSpec(java.lang.String name,
                            org.bouncycastle.math.ec.ECCurve curve,
                            org.bouncycastle.math.ec.ECPoint g,
                            java.math.BigInteger n,
                            java.math.BigInteger h)

### ECNamedCurveSpec

    public ECNamedCurveSpec(java.lang.String name,
                            java.security.spec.EllipticCurve curve,
                            java.security.spec.ECPoint g,
                            java.math.BigInteger n,
                            java.math.BigInteger h)

### ECNamedCurveSpec

    public ECNamedCurveSpec(java.lang.String name,
                            org.bouncycastle.math.ec.ECCurve curve,
                            org.bouncycastle.math.ec.ECPoint g,
                            java.math.BigInteger n,
                            java.math.BigInteger h,
                            byte[] seed)

Method Detail

### getName

    public java.lang.String getName()

  return the name of the curve the EC domain parameters belong to.

Bouncy Castle Cryptography Library 1.45